summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 20:00:53 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:53 +0200
commitcbd81837b02342ef38d34588cd1287f89ae81014 (patch)
tree6d96ae97933de149d9ec853ab381b68f5665e0a0 /libraries
parent4d3d131e733e7a35243125de30d2dea6fd14044b (diff)
downloadslackbuilds-cbd81837b02342ef38d34588cd1287f89ae81014.tar.gz
slackbuilds-cbd81837b02342ef38d34588cd1287f89ae81014.tar.xz
libraries/libkdcraw: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libkdcraw/README4
-rw-r--r--libraries/libkdcraw/libkdcraw.SlackBuild85
-rw-r--r--libraries/libkdcraw/libkdcraw.info8
-rw-r--r--libraries/libkdcraw/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/libraries/libkdcraw/README b/libraries/libkdcraw/README
new file mode 100644
index 0000000000..ffd2a451f7
--- /dev/null
+++ b/libraries/libkdcraw/README
@@ -0,0 +1,4 @@
+Libkdcraw is a C++ interface around dcraw binary program
+used to decode RAW picture files. The library documentation
+is available on header files. This library is used by
+kipi-plugins, digiKam and others kipi host programs.
diff --git a/libraries/libkdcraw/libkdcraw.SlackBuild b/libraries/libkdcraw/libkdcraw.SlackBuild
new file mode 100644
index 0000000000..91cce2549b
--- /dev/null
+++ b/libraries/libkdcraw/libkdcraw.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for Libkdcraw
+
+# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libkdcraw
+VERSION=0.1.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS ChangeLog COPYING INSTALL NEWS PACKAGING README RELEASE.rev"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+KDEPREF=$(kde-config --prefix) || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --program-prefix="" \
+ --program-suffix="" \
+ --disable-debug \
+ --enable-shared=yes \
+ --enable-static=no \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libkdcraw/libkdcraw.info b/libraries/libkdcraw/libkdcraw.info
new file mode 100644
index 0000000000..ecbe7f7e86
--- /dev/null
+++ b/libraries/libkdcraw/libkdcraw.info
@@ -0,0 +1,8 @@
+PRGNAM="libkdcraw"
+VERSION="0.1.3"
+HOMEPAGE="http://extragear.kde.org/apps/kipi/"
+DOWNLOAD="http://downloads.sourceforge.net/kipi/libkdcraw-0.1.3.tar.bz2"
+MD5SUM="dc4772804c17d7eff4f913048b8e1c3c"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="rworkman"
diff --git a/libraries/libkdcraw/slack-desc b/libraries/libkdcraw/slack-desc
new file mode 100644
index 0000000000..8fcc6a1c08
--- /dev/null
+++ b/libraries/libkdcraw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libkdcraw: Libkdcraw (dcraw Library Wrapper)
+libkdcraw:
+libkdcraw: Libkdcraw is a C++ interface around dcraw binary program
+libkdcraw: used to decode RAW picture files. The library documentation
+libkdcraw: is available on header files. This library is used by
+libkdcraw: kipi-plugins, digiKam and others kipi host programs.
+libkdcraw:
+libkdcraw: Homepage: http://extragear.kde.org/apps/kipi/
+libkdcraw:
+libkdcraw:
+libkdcraw: